(function ($, elementor) {
    "use strict";
    var $window = $(elementor);

    var waveeCore = {
        onInit: function () {
            var E_FRONT = elementorFrontend,
                E_Modules = elementorModules;
            var widgetHandlersMap = {
                "wavee_hero.default": waveeCore.waveeScroll,
                "Wavee_c2a.default": waveeCore.waveeScroll,
                "wavee_subscribe_form.default": waveeCore.waveeScroll,
                "wavee_service.default": waveeCore.waveeScroll,
                "wavee_single_video.default": waveeCore.waveeScroll,
                "wavee_clients_logo.default": waveeCore.waveeScroll,
                "wavee_contact_form.default": waveeCore.waveeScroll,

            };
            $.each(widgetHandlersMap, function (widgetName, callback) {
                E_FRONT.hooks.addAction("frontend/element_ready/" + widgetName, callback);
            });
        },

        waveeScroll: function ($scope) {
            var $swiperContainer = $scope.parents().find(".section");
            if( $swiperContainer.length > 0){
                var $parent = $swiperContainer.parent('#wavescroll > .elementor');
                if( $parent.length > 0){
                    $parent.fullpage({
                        navigation: true,
                        navigationPosition: "right",
                        autoScrolling: true,
                        scrollBar: false,
                        scrollOverflow: true,
                        animateAnchor: true,
                        css3: true,
                        verticalCentered: true,
                        //anchors: ['test1', 'test2', 'test3', 'test4', 'test5', 'test6', 'test7', 'test8' ],
                        afterResponsive: function (isResponsive) {},
                        afterLoad: function (anchorLink, index) {
                            if (index == 6) {
                                $('.header_area, .full_footer').addClass('content-black');
                                $('#fp-nav').addClass('white');
                            } else {
                                $('.header_area, .full_footer').removeClass('content-black');
                                $('#fp-nav').removeClass('white');
                            }
                            if ($('.w_footer_area,.wave_two_section_eight').hasClass('active')) {
                                $("#fp-nav,.full_footer").addClass('hide');
                            } else {
                                $('#fp-nav,.full_footer').removeClass('hide');
                            }
                        }
                    });

                    $parent.parallax({
                        scalarX: 10.0,
                        scalarY: 0.0,
                    });

                }

            }

        },

    };

    $window.on("elementor/frontend/init", waveeCore.onInit);

})(jQuery, window);
