<?php
use Elementor\Group_Control_Image_Size;
?>

<section class="<?php echo ( $settings['is_full_width'] == 'yes') ? 'portfolio_fluid_area' : 'portfolio_area sec_pad'; ?>">
    <?php echo ( $settings['is_full_width'] == 'yes') ? '<div class="container">' : '<div class="container">'; ?>
        <ul class="list-unstyled gallery_filter gallery_filter_two">
            <?php
            if (!empty($settings['all_label'])) { ?>
                <li class="active" data-filter="*">
                    <?php echo esc_html($settings['all_label']); ?>
                </li>
                <?php
            }

            if ( !empty( $settings['cats'] )) {
                foreach ( $settings['cats'] as $portfolio_cat ) {
                    ?>
                    <li data-filter=".<?php echo esc_attr($portfolio_cat) ?>">
                        <?php echo esc_html($portfolio_cat) ?>
                    </li>
                    <?php
                }
            } else {
                if (is_array($portfolio_cats)) {
                    foreach ($portfolio_cats as $portfolio_cat) { ?>
                        <li data-filter=".<?php echo $portfolio_cat->slug ?>">
                            <?php echo $portfolio_cat->name ?>
                        </li>
                        <?php
                    }
                }
            }
            ?>
        </ul>
        <?php echo ( $settings['is_full_width'] == 'yes') ? '</div>' : '';
        if ( $settings ['horizontal_style'] == 'normal' ) { ?>
            <div class="row gallery_inner_four" id="gallery">
                <?php
                while ($portfolios->have_posts()) : $portfolios->the_post();
                    $cats = get_the_terms(get_the_ID(), 'portfolio_cat');
                    $cat_slug = '';
                    if( is_array($cats)) {
                        foreach ($cats as $cat) {
                            $cat_slug .= $cat->slug.' ';
                        }
                    }
                    $settings['thumbnail_size'] = [
                        'id' => get_post_thumbnail_id(),
                    ];
                    $thumbnail_html = Group_Control_Image_Size::get_attachment_image_html( $settings, 'thumbnail_size' );
                    $column = !empty($settings['column']) ? $settings['column'] : '6'; ?>
                    <div class="col-lg-<?php echo esc_attr($column.' '); echo esc_attr( $cat_slug ); ?> col-md-6 gallery_item">
                        <div class="gallery_post">
                            <a href="<?php the_permalink() ?>">
                                <div class="img">
                                    <?php echo $thumbnail_html ?>
                                </div>
                            </a>
                            <div class="gallery_content">
                                <a href="<?php the_permalink() ?>">
                                    <h3><?php the_title() ?></h3>
                                </a>
                                <?php if ( $settings['is_cat'] == 'yes' ) : ?>
                                    <a href="<?php echo $settings['is_cat_slug'] == 'yes' ? get_term_link ( $cat->term_id ) : '#'; ?>" class="g_tag">
                                        <?php echo $cat->name ?>
                                    </a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <?php
                endwhile;
                wp_reset_postdata();
                ?>
            </div>
            <?php

        } elseif ( $settings ) {
            switch ( $settings['horizontal_style'] ) {
                case 'hover_masonry':
                    $hover_classes = 'gallery_inner';
                     break;
                case 'hover':
                    $hover_classes = 'gallery_inner_two';
                    break;
                case 'hover2':
                    $hover_classes = 'gallery_inner_three';
                    break;
            }
            ?>
            <div id="gallery" class="row <?php echo $hover_classes ?>">
                <?php
                    while ($portfolios->have_posts()) : $portfolios->the_post();
                        $cats = get_the_terms(get_the_ID(), 'portfolio_cat');
                        $cat_slug = '';
                        if(is_array($cats)) {
                            foreach ($cats as $cat) {
                                $cat_slug .= $cat->slug.' ';
                            }
                        }
                        $settings['thumbnail_size'] = [
                            'id' => get_post_thumbnail_id(),
                        ];
                        $thumbnail_html = Group_Control_Image_Size::get_attachment_image_html( $settings, 'thumbnail_size' );
                        $column = !empty($settings['column']) ? $settings['column'] : '6'; ?>
                        <div class="col-lg-<?php echo esc_attr($column.' '); echo esc_attr( $cat_slug ); ?> col-md-4 col-sm-6 gallery_item">
                            <div class="gallery_post_two">
                                <a href="<?php the_permalink() ?>" class="img">
                                    <?php echo $thumbnail_html ?>
                                </a>
                                <div class="hover_text">
                                    <a href="<?php the_permalink() ?>">
                                        <h3><?php the_title() ?></h3>
                                    </a>
                                    <?php if ( $settings['is_cat'] == 'yes' ) : ?>
                                        <a href="<?php echo $settings['is_cat_slug'] == 'yes' ? get_term_link ( $cat->term_id ) : '#'; ?>">
                                            <div class="g_tag"><?php echo $cat->name ?></div>
                                        </a>
                                    <?php endif ?>
                                </div>
                            </div>
                        </div>
                        <?php
                    endwhile;
                    wp_reset_postdata();
                ?>
            </div>
            <?php
        }
     echo ( $settings['is_full_width'] == 'yes') ? '' : ' </div>'; ?>
</section>