<?php

// Body classes
add_filter( 'body_class', function($classes) {
    if ( is_page_template( 'page-full-screen-slider.php' ) ) {
        $classes[] = 'home_one';

    } elseif ( is_page_template('page-full-screen-slider-three.php') ) {
        $classes[] = 'home_three';
    }
    else {
        $classes[] = '';
    }
    return $classes;

});

// add category nick names in body and post class
function wavee_post_class( $classes ) {
    global $post;
    if( !has_post_thumbnail() ) {
        $classes[] = 'no-post-thumbnail';
    }
    return $classes;
}

add_filter( 'post_class', 'wavee_post_class' );


// Comment Fields Move Order
function wpb_move_comment_field_to_bottom( $fields ) {
    $comment_field = $fields['comment'];
    unset( $fields['comment'] );
    $fields['comment'] = $comment_field;
    return $fields;
}

add_filter( 'comment_form_fields', 'wpb_move_comment_field_to_bottom' );

// add class comment reply link
add_filter('comment_reply_link', 'eiser_replace_reply_link_class');
function eiser_replace_reply_link_class( $class ) {
    $class = str_replace("class='comment-reply-link", "class='btn-reply reply_link comment-reply-link  reply", $class);
    return $class;
}

add_action('get_header', function() {
    remove_action('wp_head', '_admin_bar_bump_cb');
});

// Remove auto p from Contact Form 7 shortcode output
add_filter( 'wpcf7_autop_or_not', function() {
    return false;
});


/**
 * Elementor post type support
 */
function wavee_add_cpt_support() {

    //if exists, assign to $cpt_support var
    $cpt_support = get_option( 'elementor_cpt_support' );

    //check if option DOESN'T exist in db
    if ( ! $cpt_support ) {
        $cpt_support = [ 'page', 'post', 'service' ]; //create array of our default supported post types
        update_option( 'elementor_cpt_support', $cpt_support ); //write it to the database
    }
    //if it DOES exist, but Service is NOT defined
    elseif ( !in_array( 'service', $cpt_support ) ) {
        $cpt_support[] = 'service'; //append to array
        update_option( 'elementor_cpt_support', $cpt_support ); //update database
    }
}
add_action( 'after_switch_theme', 'wavee_add_cpt_support' );