<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Wavee
 */
$opt = get_option('wavee_opt');
$read_more = !empty($opt['read_more_btn']) ? $opt['read_more_btn'] : esc_html__('Read More', 'wavee');
?>
<div <?php post_class( 'blog_list_item' ) ?>>
    <?php
    if ( has_post_thumbnail( ) ) {
        echo '<a href="'.get_the_permalink().'">';
            the_post_thumbnail('wavee_710x400');
        echo '</a>';
    }
    ?>
    <div class="b_inner">
        <div class="blog_list_content">
            <div class="b_post_info">
                <div class="p_tag">
                    <?php the_category( ' ' ); ?>
                </div>
                <div class="p_date" onclick="window.location='<?php wavee_day_link() ?>';">
                    <img src="<?php echo WAVEE_DIR_IMG ?>/blog/calendar.svg" alt="<?php esc_attr_e( 'date image icon', 'wavee'); ?>">
                    <?php echo get_the_date() ?>
                </div>
            </div>
            <a href="<?php the_permalink() ?>">
                <h2><?php the_title() ?></h2>
            </a>
            <div class="d-flex justify-content-between">
                <a href="<?php the_permalink() ?>" class="read_btn">
                    <?php echo esc_html( $read_more ) ?>
                    <i class="arrow_triangle-right"></i>
                </a>
                <a href="<?php the_permalink() ?>" class="comment_btn">
                    <img src="<?php echo WAVEE_DIR_IMG ?>/blog/comment-icon.svg" alt="<?php esc_attr_e( 'comment image icon', 'wavee'); ?>">
                    <?php wavee_comment_count( get_the_ID() ); ?>
                </a>
            </div>
        </div>
    </div>
</div>
